> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaults.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# List SVM position events

> Retrieves deposits and withdrawals for a user's position in a specific SVM vault by resolving protocol flow accounts and parsing vault-asset movements from Helius transactions.



## OpenAPI

````yaml https://api.vaults.fyi/beta/documentation/json get /beta/svm/portfolio/events/{userAddress}/{vaultAddress}
openapi: 3.0.3
info:
  title: Vaults.fyi Beta API
  version: 0.1.0
  description: >-
    Beta API endpoints for features in testing. These endpoints are not included
    in the main API documentation and may change without notice.
servers:
  - url: https://api.vaults.fyi
    description: Vaults.fyi Beta API
security: []
tags:
  - name: Borrow Markets
  - name: The Deep
  - name: Fixed Term (Pendle)
  - name: Portfolio
  - name: SVM
paths:
  /beta/svm/portfolio/events/{userAddress}/{vaultAddress}:
    get:
      tags:
        - SVM
      summary: List SVM position events
      description: >-
        Retrieves deposits and withdrawals for a user's position in a specific
        SVM vault by resolving protocol flow accounts and parsing vault-asset
        movements from Helius transactions.
      operationId: listSvmPortfolioEvents
      parameters:
        - schema:
            type: integer
            minimum: 0
            default: 0
          in: query
          name: page
          required: false
          description: Page number (starting from 0)
        - schema:
            type: integer
            exclusiveMinimum: true
            minimum: 0
            maximum: 1000
            default: 50
          in: query
          name: perPage
          required: false
          description: Number of items per page
        - schema:
            type: integer
          in: query
          name: fromTimestamp
          required: false
          description: Minimum block timestamp in seconds
        - schema:
            type: integer
          in: query
          name: toTimestamp
          required: false
          description: Maximum block timestamp in seconds
        - schema:
            type: string
            pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$
          in: path
          name: userAddress
          required: true
          description: User wallet address. On SVM, this is the wallet account public key.
        - schema:
            type: string
            pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$
          in: path
          name: vaultAddress
          required: true
          description: Vault address. On SVM, this is the vault account public key.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  asset:
                    type: object
                    properties:
                      address:
                        type: string
                        description: >-
                          Asset address. On SVM, this is the SPL token mint
                          account public key.
                      name:
                        type: string
                        description: Name of the asset
                      symbol:
                        type: string
                        description: Symbol of the asset
                      decimals:
                        type: integer
                        description: Number of decimals of the asset
                      assetLogo:
                        type: string
                        format: uri
                        description: URL of the asset logo
                    required:
                      - address
                      - name
                      - symbol
                      - decimals
                    additionalProperties: false
                    description: Details of the vault asset
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        timestamp:
                          type: integer
                          description: Transaction timestamp
                        blockNumber:
                          type: string
                          description: Slot of the transaction
                        eventType:
                          type: string
                          enum:
                            - deposit
                            - withdrawal
                          description: Type of vault activity event
                        assetAmountNative:
                          type: string
                          description: Asset amount in native units
                        transactionHash:
                          type: string
                          description: Transaction signature
                      required:
                        - timestamp
                        - blockNumber
                        - eventType
                        - assetAmountNative
                        - transactionHash
                      additionalProperties: false
                    description: List of transaction events sorted by timestamp
                  items:
                    type: number
                    description: Total number of transaction events
                required:
                  - asset
                  - data
                  - items
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Bad Request
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Unauthorized
                      message:
                        type: string
                        enum:
                          - >-
                            An API key is required to access this service. Sign
                            up at https://portal.vaults.fyi/signup to generate a
                            key. We offer a Pay-As-You-Go plan so you only pay
                            for what you use, with no commitments.
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '402':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      x402Version:
                        anyOf:
                          - type: number
                          - type: string
                      error:
                        type: string
                      resource:
                        type: object
                        properties:
                          url:
                            type: string
                          description:
                            type: string
                          mimeType:
                            type: string
                          serviceName:
                            type: string
                          tags:
                            type: array
                            items:
                              type: string
                          iconUrl:
                            type: string
                        required:
                          - url
                        additionalProperties: false
                      accepts:
                        anyOf:
                          - type: array
                            items:
                              type: object
                              properties:
                                scheme:
                                  type: string
                                  enum:
                                    - exact
                                network:
                                  type: string
                                amount:
                                  type: string
                                payTo:
                                  type: string
                                maxTimeoutSeconds:
                                  type: number
                                asset:
                                  type: string
                                extra:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                    version:
                                      type: string
                                  required:
                                    - name
                                    - version
                                  additionalProperties: false
                              required:
                                - scheme
                                - network
                                - amount
                                - payTo
                                - maxTimeoutSeconds
                                - asset
                              additionalProperties: false
                          - {}
                      extensions:
                        type: object
                        additionalProperties: {}
                    required:
                      - x402Version
                      - resource
                    additionalProperties: false
                  - {}
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Forbidden
                      message:
                        type: string
                        enum:
                          - >-
                            This API key has exhausted its available credits. To
                            resume service, please visit
                            https://portal.vaults.fyi/signup to top-up your
                            credits
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - Not Found
                  message:
                    type: string
                required:
                  - error
                  - message
                additionalProperties: false
        '408':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      message:
                        type: string
                      errorId:
                        type: string
                    additionalProperties: false
                  - {}
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Unprocessable Entity
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Internal Server Error
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '503':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Service Unavailable
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````